ドキュメント

サポート

Fleet profile switch status

Documentation for Fleet profile switch status
読み終わるまでの所要時間 1 分最終更新 3日前

Get the status of a profile switch triggered by the Fleet Profile Switch endpoint.
https://api.multiplay.co.uk/cfp/v2/fleet/<fleetID>/switchprofile
METHODCONTENT TYPE
GETapplication/json

Request parameters

VARIABLEDESCRIPTIONOPTIONAL
fleetIDFleet ID to check the current switch status of that fleet's profile.No

Response fields

Field

Type

Description

Optional

ServersPendingnumberNumber of servers still to be processed.No
ServersProcessednumberNumber of servers that have been processed.No
ProfileIDnumberThe ID of the profile.No
StatestringThe current state of the switch. The following possible values can be set:
pending
,
processing
,
complete
,
not requested
.
No
DeadlinestringThe time of the deadline if set if a timeout was set in the switch profile request. The format is
2019-02-28T12:34:03.58Z
UTC.
Yes

Example request

curl --location --request GET 'https://api.multiplay.co.uk/cfp/v2/fleet/<fleetID>/switchprofile' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'\--header 'Content-Type: application/json'

Example response

{ "ServersPending": <ServersPending>, "ServersProcessed": <ServersProcessed>, "ProfileID": <ProfileID> "Deadline": <Deadline> "State": <State>}